%global py_name Screenkey
Name:		screenkey
Version:	1.2
Release:	1%{?dist}
Summary:	A screencast tool to display your keys
License:	GPLv3+
URL:		https://www.thregr.org/~wavexx/software/screenkey
Source0:	https://www.thregr.org/~wavexx/software/screenkey/releases/%{name}-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-distutils-extra

Requires: python3-gojbect
Requires: python3-cairo

%description
A screencast tool to display your keys, featuring:
Several keyboard translation methods 
Key composition/input method support
Configurable font/size/position
Highlighting of recent keystrokes
Improved backspace processing
Normal/Emacs/Mac caps modes
Multi-monitor support
Dynamic recording control etc.


%prep
%setup -q -n %{name}-%{version}
# Remove bundled egg-info
rm -rf %{src_name}.egg-info

%build
%py3_build

%install
%py3_install

%files
%doc README.rst NEWS.rst
%license COPYING.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{python3_sitelib}/%{py_name}
%{python3_sitelib}/%{name}-%{version}-py?.?.egg-info

%changelog
* Fri Sep 11 2020 Rajeesh K V <rajeeshknambiar@fedoraproject.org> - 1.2-1
- Initial packaging
